import { newSpecPage } from "@stencil/core/testing";
import { BpSdkQuoteRequestPremiumContainer } from "./bp-sdk-quote-request-premium-container";
const setupPage = async () => {
    return await newSpecPage({
        html: '<bp-sdk-quote-request-premium-container></bp-sdk-quote-request-premium-container>',
        components: [BpSdkQuoteRequestPremiumContainer],
    });
};
const setupInstance = (page) => {
    const instance = page.rootInstance;
    return instance;
};
describe('bp-sdk-quote-request-premium-container', () => {
    it('renders', async () => {
        const page = await setupPage();
        await page.waitForChanges();
        const element = page.root.querySelector('bp-sdk-quote-request-premium');
        expect(element).toBeTruthy();
        expect(page.root.querySelector('bp-sdk-external-quote-request-premium-container')).toBeFalsy();
    });
    it('renders external component if defined', async () => {
        const whenDefinedMock = jest.spyOn(customElements, 'whenDefined').mockResolvedValueOnce({});
        const page = await setupPage();
        await page.waitForChanges();
        expect(page.root.querySelector('bp-sdk-external-quote-request-premium-container')).toBeTruthy();
        whenDefinedMock.mockRestore();
    });
});
